/* shared-decls.h */

#ifndef SHARED_DECLS_H
#define SHARED_DECLS_H

#include <glib.h>
#include <list>
#include <string>
#include <vector>
#include <libxml/tree.h>
#include "refcounted.h"

class Report;

class NodeWrapper;
class DocWrapper;
class WrapMimeDatabase;
class WrapMimeType;
class WrapMimeMagic;
class WrapMimeMatch;

class FragmentVisitor;

class Fragment;
class FragmentFixed;
class FragmentAny;

class Constraint;
class ConstraintMatch;
class ConstraintCompound;
class ConstraintAnd;
class ConstraintOr;

typedef std::list <RefCountPtr<Fragment> > FragmentList;

#endif
